<?php 
/* 
Plugin Name: Positon Guest Access
Plugin URI: http://positon.ru/support.php?id=84
Description: Просмотр позиций сайта в поисковых системах.
Author: Positon
Author URI: http://positon.ru
Version: 1.0
Text Domain: positon-guest-access
License: GPLv2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/
$pgaVar_version='wp-pga-1-0';
$pgaVar_optName='pga_options';
function pgaFunc_adminMenu(){
	add_menu_page('Позиции сайта','Позиции сайта','manage_options','pga-view','','dashicons-chart-bar',81.345613465926);
	add_submenu_page('pga-view','Позиции сайта','Просмотр','manage_options','pga-view','pgaFunc_pageView');
	add_submenu_page('pga-view','Позиции сайта','Настройки','manage_options','pga-settings','pgaFunc_pageSettings');
}
function pgaFunc_settingsError(){ echo '<div class="error notice is-dismissible"><p>Получены некорректные параметры. Настройки не сохранены.</p></div>'; }
function pgaFunc_settingsUpdate(){ echo '<div class="updated notice is-dismissible"><p>Настройки сохранены.</p></div>'; }
function pgaFunc_settingsDelete(){ echo '<div class="updated notice is-dismissible"><p>Все настройки плагина удалены.</p></div>'; }
function pgaFunc_action(){
	global $pgaVar_version;
	global $pgaVar_optName;
	$options=get_option($pgaVar_optName,array());
	if ($_POST['pgaField_action']=='save_settings'){
		$code=''; if (isset($_POST['pgaField_code'])&&preg_match('/^[0-9a-z]{10,100}$/is',trim($_POST['pgaField_code']))){ $code=trim($_POST['pgaField_code']); }
		$color=''; if (isset($_POST['pgaField_color'])&&preg_match('/^(extended|green|red|blue|gold|grey)$/s',trim($_POST['pgaField_color']))){ $color=trim($_POST['pgaField_color']); }
		if ($code==''||$color==''){
			add_action('admin_notices','pgaFunc_settingsError');	
		} else {
			if (count($options)==0){
				add_option($pgaVar_optName,array('code'=>$code,'color'=>$color),'','no');
			} else {
				update_option($pgaVar_optName,array('code'=>$code,'color'=>$color));
			}
			add_action('admin_notices','pgaFunc_settingsUpdate');
		}
	}
	if ($_POST['pgaField_action']=='delete_settings'){
		if (count($options)>0){ delete_option($pgaVar_optName); }
		add_action('admin_notices','pgaFunc_settingsDelete');
	}
}
function pgaFunc_pageView(){
	global $pgaVar_version;
	global $pgaVar_optName;
	$options=get_option($pgaVar_optName,array());
	$code=''; if (isset($options['code'])){ $code=$options['code']; }
	$color=''; if (isset($options['color'])){ $color=$options['color']; }
	?>
	<link rel="stylesheet" href="http://positon.ru/css/access_frame_style.css?plugin=<?php echo $pgaVar_version; ?>" type="text/css">
	<script src="http://positon.ru/js/access_frame_script.js?plugin=<?php echo $pgaVar_version; ?>"></script>
	<style>
		.pst_base_container { display:inline-block; margin-top:10px; padding:8px 5px 0px 8px; margin-right:20px; background-color:#FFFFFF; border:2px #FFFFFF solid; border-radius:10px; }
		.pga_icon { display:inline-block; width:36px; height:36px; font-size:36px; color:#0083c1; }
		.pga_icon_text { display:inline-block; margin:0px 10px 10px 10px !important; font-size:18px; line-height:36px; color:#0083c1; }
	</style>
	<div class="wrap">
		<h2>Позиции сайта <span style="color:#BBBBBB;">&raquo;</span> <span style="color:#888888;">просмотр</span></h2>
	</div>
	<div id="PositonAccess_id_container" class="pst_base_container"></div>
	<script type="text/javascript">
		<?php if ($code!=''&&$color!=''){ ?>
			var PositonAccess_vr_color_main='#0083c1';
			var PositonAccess_vr_color_row1='#e6f3f9';
			var PositonAccess_vr_color_row1_sel='#c2f0fd';
			var PositonAccess_vr_color_row1_sort='#cde7f3';
			var PositonAccess_vr_color_row1_sort_sel='#85e1fb';
			var PositonAccess_vr_color_row2='#f2f9fc';
			var PositonAccess_vr_color_row2_sel='#c6f2fe';
			var PositonAccess_vr_color_row2_sort='#e5f3f9';
			var PositonAccess_vr_color_row2_sort_sel='#8de5fd';
			var PositonAccess_vr_color='<?php echo $color; ?>';
			var PositonAccess_vr_site='http://positon.ru/';
			var PositonAccess_vr_url='http://positon.ru/access.php?code=<?php echo $code; ?>';
			PositonAccess_fn_start();
		<?php } else { ?>
			document.getElementById('PositonAccess_id_container').innerHTML='<div class="pga_icon dashicons dashicons-warning"></div><div class="pga_icon_text">Пожалуйста, выполните настройку плагина.</div>';
		<?php } ?>
	</script>
	<p><a href="?page=pga-settings"><span style="text-decoration:none; margin-right:5px;" class="dashicons dashicons-admin-settings"></span>Настройка плагина</a>.</p>
	<?php
}
function pgaFunc_pageSettings(){
	global $pgaVar_version;
	global $pgaVar_optName;
	$options=get_option($pgaVar_optName,array());
	$code=''; if (isset($options['code'])){ $code=$options['code']; }
	$color=''; if (isset($options['color'])){ $color=$options['color']; }
	?>
	<script type="text/javascript">
		function pgaFunc_DeleteConfirm(){
			if (confirm('Удалить все сохраненные настройки этого плагина?')){ document.getElementById('pgaForm_delete').submit(); }
		}
		function pgaFunc_settingsCheck(){
			var code=document.getElementById('pgaField_code').value;
			var reg=new RegExp('^[0-9a-z]{10,100}$','gi');
			if (reg.test(code)){
				return true;
			} else {
				alert('Некорректно заполнен код гостевого доступа. \nПожалуйста, проверьте его значение.');
				return false;
			}
		}
	</script>
	<div class="wrap">
		<h2>Позиции сайта <span style="color:#BBBBBB;">&raquo;</span> <span style="color:#888888;">настройки</span></h2>
		<p><a href="http://positon.ru/support.php?id=84&plugin=<?php echo $pgaVar_version; ?>" target="_blank"><span style="text-decoration:none; margin-right:5px;" class="dashicons dashicons-warning"></span>Документация по работе с плагином</a>.</p>
		<form id="pgaForm_settings" name="pgaForm_settings" method="post" action="" onsubmit="return pgaFunc_settingsCheck();">
			<input name="pgaField_action" type="hidden" id="pgaField_action" value="save_settings" />
			<table class="form-table">
				<tr>
					<th><label for="pgaField_code">Код гостевого доступа</label></th>
					<td><input name="pgaField_code" type="text" class="regular-text" id="pgaField_code" value="<?php echo $code; ?>" /></td>
				</tr>
				<tr>
					<th><label for="pgaField_color">Цветовое оформление</label></th>
					<td>
						<select name="pgaField_color" id="pgaField_color">
							<option value="extended" <?php if ($color==''||$color=='extended'){ echo 'selected="selected"'; } ?>>Цвета WordPress</option>
							<option value="green" <?php if ($color=='green'){ echo 'selected="selected"'; } ?>>Зеленое</option>
							<option value="red" <?php if ($color=='red'){ echo 'selected="selected"'; } ?>>Красное</option>
							<option value="blue" <?php if ($color=='blue'){ echo 'selected="selected"'; } ?>>Синее</option>
							<option value="gold" <?php if ($color=='gold'){ echo 'selected="selected"'; } ?>>Золотое</option>
							<option value="grey" <?php if ($color=='grey'){ echo 'selected="selected"'; } ?>>Серое</option>
						</select>
					</td>
				</tr>
			</table>
			<p class="submit"><input name="submit" id="submit" class="button button-primary" value="Сохранить настройки" type="submit"></p>
		</form>
		<form id="pgaForm_delete" name="pgaForm_delete" method="post" action=""><input name="pgaField_action" type="hidden" id="pgaField_action" value="delete_settings" /></form>
		<p><a href="javascript://delete_settings" onclick="pgaFunc_DeleteConfirm();"><span style="text-decoration:none; margin-right:5px;" class="dashicons dashicons-dismiss"></span>Удалить сохраненные настройки</a>.</p>
	</div>
	<?php
}
add_action('admin_menu','pgaFunc_adminMenu');
if (isset($_POST['pgaField_action'])){ pgaFunc_action(); }
?>